class ApiDto<T> {
  final int code;
  final String message;
  final T data;

  ApiDto({
    required this.code,
    required this.message,
    required this.data
  });


  factory ApiDto.fromJson(Map<String, dynamic> json) {
    return ApiDto<T>(
      code: json['code'],
      message: json['message'],
      data: json['data'],
    );
  }
}
